import pygame


TILESIZE = 48
TIMESTEP = 30.0
COLORSTEP = 8

REGOLITH = 0
BARREN = 1
STOCKPILE = 2
FARM = 3
ENERGY = 4
BARRACKS = 5
FOOD = 6
KITCHEN = 7

transport_map = {
    FARM: KITCHEN,
    REGOLITH: STOCKPILE,
}

primary_colors = [
    '#75987c', #lunar green
    '#403d32', #wet dirt
    '#a2000d', #red
    '#1b5a2c', #algae
    '#3f9089', #tiffany blue
    '#ef899b', #warm pink
    '#75202d', #maroon
    '#f7a50d', #sunset orange
    '#09303a', #dark navy blue
    '#bc9e60', #khaki
    '#403e30', #dark rust
    '#191e18', #black
    '#e0e2e0', #light grey
    '#f9f9f0', #white
]


colors = []
for i, c in enumerate(primary_colors[:-2]):
    color = pygame.Color(c)
    r, g, b = color.r, color.g, color.b
    for x in range(16):
        if r >= 7:
            r -= 7
        if g >= 7:
            g -= 7
        if b >= 7:
            b -= 7
        colors.append(pygame.Color(r, g, b))

